### Function

# GLib HookCheckFunc

#### Declaration

    gboolean
    (* GHookCheckFunc) (
      gpointer data
    )

#### Description [src]

Defines the type of a hook function that can be invoked by g_hook_list_invoke_check().

#### Parameters

`data`

  Type: `gpointer`

  The data field of the `GHook` is passed to the hook function here.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`FALSE` if the `GHook` should be destroyed.